import 'dart:typed_data';

/// 认证
abstract class MyWkSocketBase {
  /// 关闭
  void close();

  /// 发送消息
  send(Uint8List data);

  /// 监听
  void listen({
    required Function(Uint8List data) onData,
    required Function() onOpen,
    required Function() error,
  });

  /// 链接是否链接
  bool isConnect();
}
